org.apache.hadoop.hdfs.server.common

## Enum HdfsServerConstants.NamenodeRole

- java.lang.Object
- - java.lang.Enum<HdfsServerConstants.NamenodeRole>
  - - org.apache.hadoop.hdfs.server.common.HdfsServerConstants.NamenodeRole

- All Implemented Interfaces:
    Serializable, Comparable<HdfsServerConstants.NamenodeRole>
  Enclosing interface:
    org.apache.hadoop.hdfs.server.common.HdfsServerConstants

      public static enum HdfsServerConstants.NamenodeRole
      extends Enum<HdfsServerConstants.NamenodeRole>

  Defines the NameNode role.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACKUP`
    `CHECKPOINT`
    `NAMENODE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HdfsServerConstants.NamenodeRole` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HdfsServerConstants.NamenodeRole[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NAMENODE

          public static final HdfsServerConstants.NamenodeRole NAMENODE

    - #### BACKUP

          public static final HdfsServerConstants.NamenodeRole BACKUP

    - #### CHECKPOINT

          public static final HdfsServerConstants.NamenodeRole CHECKPOINT

  - ### Method Detail

    - #### values

          public static HdfsServerConstants.NamenodeRole[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HdfsServerConstants.NamenodeRole c : HdfsServerConstants.NamenodeRole.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HdfsServerConstants.NamenodeRole valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HdfsServerConstants.NamenodeRole>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.